> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/boolvalue.md).

# BoolValue

BoolValue : `ValueBase`

## Overview

An instance used to store boolean value. Values set on the server are automatically replicated to the client, enabling script-to-script communication without using RemoteEvent

## Properties

### Value

`bool`

You can set a boolean value to store.

#### Code Samples

```lua
local SomeValue = Instance.new("BoolValue")
SomeValue.Name = "SomeValue"
SomeValue.Parent = game.Workspace

SomeValue.Value = true
```

## Methods

## Events

### Changed

An event is triggered whenever the value changes.

#### Parameters

| `boolean` value | Changed value. |
| --------------- | -------------- |

#### Code Samples

```lua
local function OnChanged(value)
    print(SomeValue.Name, ": ", value)
end
SomeValue.Changed:Connect(OnChanged)
```

## See also

{% content-ref url="/pages/Li7rHhgWzjrNm5kQGifQ" %}
[Manage Value](/manual/script-manual/value-management.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/boolvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
